Bug 498931 - Argyllcms and XCB
Argyllcms and XCB
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libXrandr (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 10:14 EDT by christian
Modified: 2014-06-18 05:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: libXrandr-1.3.0-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 22:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (104.09 KB, text/plain)
2009-05-05 12:00 EDT, christian
no flags Details

  None (edit)
Description christian 2009-05-04 10:14:55 EDT
argyllcms does not work any more since F10, it did work on F9.
i was hoping this would be fixed in F11 but thats not the case.

How reproducible:
install and try to use argyllcms.
the qickest way to test is to just execute "dispwin"


Steps to Reproduce:
1. yum install argyllcms
2. dispwin
3.
  
Actual results:

dispwin: xcb_io.c:542: _XRead: Assertion `dpy->xcb->reply_data != ((void *)0)' failed.
Aborted


Expected results:
no error

Additional info:
im using intel GMA graphics. maybe the problem is caused by that combination.
Comment 1 Gwyn Ciesla 2009-05-04 10:48:17 EDT
It appears to be, since it works fine for me on an ATI card.
Comment 2 Adam Jackson 2009-05-04 19:13:22 EDT
wfm on 965 too.  what driver and kernel revision are you using?
Comment 3 christian 2009-05-05 12:00:03 EDT
i am using a fully updated f11 preview with the standard intel driver for GM965.

uname -a
Linux localhost.localdomain 2.6.29.1-111.fc11.x86_64 #1 SMP Fri Apr 24 10:57:09 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

i'll attach my xorg logfile.
Comment 4 christian 2009-05-05 12:00:47 EDT
Created attachment 342484 [details]
xorg log
Comment 5 Derek Cramer 2009-05-12 05:38:56 EDT
I just noticed this too on F-10, but only in specific circumstances. I have a Lenovo T60 on a port replicator using an external monitor vis VGA. If I switch off the LVDS using "xrandr --output LVDS --off" (because the lid is closed anyway), dispwin will fail until I switch the LCD back on again. I only discovered this yesterday as up until now I never tried switching off the LCD.

[cramerd@cramerd-T60 ~]$ xrandr --output LVDS --off
[cramerd@cramerd-T60 ~]$ dispwin -v -I ~/.local/share/color/icc/devices/display/1-IBM_P275.icm
dispwin: xcb_io.c:461: _XRead: Assertion `dpy->xcb->reply_data != 0' failed.
Aborted
[cramerd@cramerd-T60 ~]$ xrandr --output LVDS --auto
[cramerd@cramerd-T60 ~]$ dispwin -v -I ~/.local/share/color/icc/devices/display/1-IBM_P275.icm
About to open dispwin object on the display
About to install '/home/cramerd/.local/share/color/icc/devices/display/1-IBM_P275.icm' as display's default profile
Installed '/home/cramerd/.local/share/color/icc/devices/display/1-IBM_P275.icm' and made it the default
About to destroy dispwin object

[cramerd@cramerd-T60 ~]$ uname -r
2.6.27.21-170.2.56.fc10.i686
[cramerd@cramerd-T60 ~]$ cat /etc/redhat-release 
Fedora release 10 (Cambridge)
[cramerd@cramerd-T60 ~]$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
Comment 6 Bug Zapper 2009-06-09 11:07:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2009-11-05 13:28:28 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Adam Jackson 2009-11-09 16:47:56 EST
Okay, I can reproduce this, and it's a cavalcade of failures.

First is that argyllcms (actually just dispwin) misunderstands RANDR.  It's trying to manipulate CRTCs, but doing so for all outputs with a connection status other than Disconnected.  This describes their connection to a display device, not their connection to a CRTC, so it ends up trying to get the gamma of None for outputs which are definitely or possibly connected but not lit, which obviously doesn't work.  I've patched this in rawhide.

Second is that libXrandr has a bug when the client sends a request that generates an error in XRRGetCrtcGamma.  It will interpret the returned error as a valid reply, inspect part of it to figure out the size of the gamma table to read, and attempt to read that much more off the network.  This will fail because there's nothing more beyond the error to read.  I've got a patch that fixes that one case, but I want to audit the rest of the library for the same failure before building it.
Comment 10 Fedora Update System 2009-11-10 15:51:01 EST
libXrandr-1.3.0-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libXrandr-1.3.0-5.fc12
Comment 11 Fedora Update System 2009-11-11 09:55:05 EST
libXrandr-1.3.0-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libXrandr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11307
Comment 12 Bug Zapper 2009-11-16 04:58:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora Update System 2010-02-26 22:31:24 EST
libXrandr-1.3.0-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.